'use strict';

var curry = require('./curry.js');
require('./id.js');
require('./_eq.js');
require('./_zipWith.js');
var _endsWith = require('./_endsWith.js');

/**
 * Determines whether a given list ends with a suffix.
 *
 * @function
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Boolean} `true` if the list `bs` ends with the list `as`, false
 * otherwise.
 * @example
 *
 * import { endsWith } from 'fkit'
 * endsWith([3], [1, 2, 3]) // true
 * endsWith('o', 'foo') // true
 */

var endsWith = curry(_endsWith);

module.exports = endsWith;
