'use strict';

var curry = require('./curry.js');
require('./chunk-e6d921c6.js');
require('./head.js');
require('./tail.js');
var _has = require('./_has.js');

/**
 * Determines whether an object has a property at a key path.
 *
 * @function
 * @param {Array|String} ks The key path.
 * @param {Object} o The object.
 * @returns {Boolean} `true` if the object `o` has a property at the key path
 * `ks`, `false` otherwise.
 * @example
 *
 * import { has } from 'fkit'
 * const person = { name: 'Jane', age: 20, address: { city: 'Melbourne', country: 'Australia' } }
 * has('name', person) // true
 * has('address.city', person) // true
 */

var has = curry(_has);

module.exports = has;
