'use strict';

var curry = require('./curry.js');
var _match = require('./_match.js');

/**
 * Determines whether a given regular expression matches a string.
 *
 * @function
 * @param {RegExp} r The regular expression.
 * @param {String} s The string.
 * @returns {Boolean} `true` if the regular expression `r` matches the string
 * `s`, false otherwise.
 * @example
 *
 * import { match } from 'fkit'
 * match(/^f.*$/, 'foo') // true
 * match(/^f.*$/, 'bar') // false
 */

var match = curry(_match);

module.exports = match;
