'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
var flip = require('./flip.js');
require('./chunk-e6d921c6.js');
var __chunk_5 = require('./chunk-ac19a55d.js');
require('./_prepend.js');
var prepend = require('./prepend.js');

/**
 * Reverses the elements in a list.
 *
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as` in reverse order.
 * @example
 *
 * import { reverse } from 'fkit'
 * reverse([1, 2, 3]) // [3, 2, 1]
 * reverse('foo') // 'oof'
 */

function reverse (as) {
  return Array.from(as).reduce(flip(prepend), __chunk_5.mempty(as));
}

module.exports = reverse;
