'use strict';

var curry = require('./curry.js');
require('./id.js');
require('./_eq.js');
require('./_zipWith.js');
var _startsWith = require('./_startsWith.js');

/**
 * Determines whether a given list starts with a prefix.
 *
 * @function
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Boolean} `true` if the list `bs` starts with the list `as`, false
 * otherwise.
 * @example
 *
 * import { startsWith } from 'fkit'
 * startsWith([1], [1, 2, 3]) // true
 * startsWith('f', 'foo') // true
 */

var startsWith = curry(_startsWith);

module.exports = startsWith;
